# Update existing SIP endpoint

Updated an existing SIP endpoint by specifying its ID.

Endpoint: PUT /trunks/{sipTrunkId}/endpoints/{sipEndpointId}
Version: 1.0.0
Security: Basic, OAuth2.0

## Path parameters:

  - `sipTrunkId` (string, required)
    The ID of the SIP trunk.

  - `sipEndpointId` (integer, required)
    The ID of the SIP endpoint.

## Request fields (application/json):

  - `name` (string, required)
    The friendly name of the SIP endpoint.
    Example: "Acme Endpoint"

  - `priority` (integer, required)
    Inbound call routing priority. If two or more endpoints have the same priority, calls will be routed to them using a round-robin strategy.

Lower priority endpoints will be routed to first. Equal priority endpoints will round-robin calls between them.
    Example: 1

  - `transport` (string)
    The transport protocol of the SIP endpoint.
    Enum: "TCP", "UDP", "TLS"

  - `enabled` (boolean)
    Sets whether the SIP endpoint is enabled or not.

  - `body` (StaticEndpoint (object) or RegisteredEndpoint (object)) — one of:
    - StaticEndpoint:
      - `address` (string, required)
        The address of the SIP endpoint can be an IP address or a domain name. EST uses IP authentication and will only accept calls from the specified address or domain.
        Example: "127.0.0.1"
      - `port` (integer)
        The port of the SIP endpoint.
        Example: 5060
    - RegisteredEndpoint:
      - `isRegistered` (boolean, required)
        This property determines whether the endpoint is static or registered. If registered, this must be set to true.
        Example: true
      - `credentialUsername` (string, required)
        The username for the credential list you want to use to register the endpoint.
        Example: "MyCLUserName"


